package com.istana.emergent.mof.session.ui4.file;

import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.KeyEvent;
import org.eclipse.swt.events.KeyListener;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;

import com.istana.emergent.mof.session.ui4.FacilityCreateWizardPage;

public class FileConnectionURIWizardPage extends WizardPage
	implements FacilityCreateWizardPage
{
	private		Composite		m_container;
	
	private		Text			m_pathField;

	private		Label			m_pathLabel;
	
	public		FileConnectionURIWizardPage	()
	{
		super(FileConnectionURIWizardPage.class.getSimpleName(),"Define File Connection",null);
		
		setDescription("Select a Facility Factory from those available.");
	}

	@Override
	public 		void 			createControl(Composite parent)
	{
		m_container = new Composite(parent, SWT.NULL);
		GridLayout layout = new GridLayout();
		layout.numColumns = 2;
		m_container.setLayout(layout);

		m_pathLabel	=	new Label(m_container, SWT.NULL);
		m_pathLabel.setText("Path");
		
		m_pathField	=	new Text(m_container, SWT.BORDER | SWT.SINGLE);
		GridData gd = new GridData(GridData.FILL_HORIZONTAL);
		m_pathField.setLayoutData(gd);
		m_pathField.setText("");
		m_pathField.addKeyListener
						(new KeyListener() 
							{
								@Override
								public void keyPressed(KeyEvent e) 
								{
								}
								
								@Override
								public void keyReleased(KeyEvent e) 
								{
									setPageComplete(!m_pathField.getText().isEmpty());
								}
							}
						);
		// Required to avoid an error in the system
		setControl(m_container);
		setPageComplete(false);	
	}

}
